Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/create_cdrom.sh
diff options
context:
space:
mode:
Diffstat (limited to 'create_cdrom.sh')
-rwxr-xr-xcreate_cdrom.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/create_cdrom.sh b/create_cdrom.sh
index 79164b1..d2330bb 100755
--- a/create_cdrom.sh
+++ b/create_cdrom.sh
@@ -1,5 +1,6 @@
#!/bin/sh
+# shellcheck source=./default.conf
. "./default.conf"
# builds a small ISO image for installing a stage 1 system:
@@ -11,7 +12,7 @@ sudo rm -rf $STAGE1_ISOLINUX
mkdir $STAGE1_ISOLINUX
sudo cp -a $STAGE1_CHROOT/* $STAGE1_ISOLINUX/.
sudo chown -R cross:cross $STAGE1_ISOLINUX/.
-cd $STAGE1_ISOLINUX
+cd $STAGE1_ISOLINUX || exit 1
# simple ISOlinux menu, with options for fast choosing a root device
mkdir boot/isolinux
@@ -59,5 +60,5 @@ sudo cp /usr/lib/syslinux/bios/isolinux.bin boot/isolinux/.
sudo genisoimage -J -r -o ../arch486.iso -b boot/isolinux/isolinux.bin \
-c boot/isolinux/boot.cat -input-charset UTF-8 -no-emul-boot \
-boot-load-size 4 -boot-info-table -joliet-long .
-cd ..
+cd .. || exit 1